Subject: Re: bug#15454: 24.3.50; The profiler does not show me all the run functions?

From: Stefan Monnier <[email-masked]>
Date: Tue, 24 Sep 2013 15:13:37 -0400

>>> I execute the code block in the video at
>>> http://screencast.com/t/PHlYJh6r9 and analyze called functions.
>> Can't view this in Firefox+Gnash (using Debian testing), sorry.
> Weird... Would you mind trying once again?

Tried again, with and without going through my http-proxy-cache, but it
didn't help, I just get a tall black rectangle underneath a message
about my version of Adobe Flash Player being outdated.

>> My crystal ball says "maybe he hasn't pressed RET to open up the
>> subtrees in the profile output?".
> Nope.  I went over every line, and pressed RET on each of them, so that the
> entirety of the tree is shown.

The profiler is based on sampling, so it can definitely "miss" things,
especially if we don't spend much time in them.

        Stefan